/*
 * IconedString.java
 *
 * Created on 2 ottobre 2004, 10.51
 */

package it.businesslogic.ireport.gui;

/**
 *
 * @author  Administrator
 */
public class IconedString {
    
    private String str ="";
    private javax.swing.ImageIcon icon = null;
    
    /** Creates a new instance of IconedString */
    public IconedString(String str, String icon) {
       this.setStr(str);
       this.setIcon( new javax.swing.ImageIcon( this.getClass().getResource(icon) ));
       
    }

    public String getStr() {
        return str;
    }

    public void setStr(String str) {
        this.str = str;
    }

    public javax.swing.ImageIcon getIcon() {
        return icon;
    }

    public void setIcon(javax.swing.ImageIcon icon) {
        this.icon = icon;
    }
    
}
